PERTALIFE - Bug #3943

Issue Perhitungan Lembur Belum Refer ke Table PHRTMOTROUND
10/08/2025 04:12 PM - Mr Ikmal

Status: Assigned Start date: 10/08/2025
Priority: High Due date: 10/13/2025
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear team Developer,

Mohon bantuannya untuk cek perhitungan lembur dengan ketentuan mengacu pada table PHRTMOTROUND. Saat ini sepertinya
sistem masih belum mengakomodir perhitungan tersebut.

Secara konsep:

Perhitungan lembur akan menghitungh Amount berdasarkan aturan rounding yang ada di tabel PHRTMOTROUND. Saat ini
perhitungannya masih mengambil nilai aktual (misalnya 40 menit), padahal seharusnya mengikuti aturan pembulatannya ke (30
menit).

Contoh Kasus:
EmployeelD: 08810916
Data testing lembur untuk 40 menit -> saat ini Amount dihitung langsung berdasarkan 40 menit, bukan hasil pembulatan ke 30 menit.

Seharusnya jika 40 menit, masuk ke pembulatan 30 menit sesuai setting di tabel PHRTMOTROUND. Begitu juga untuk yg kondisi
lainnya.

o o0 -~

15 0 Down
45 30 Middle
60 60 Up

0 ->0 (*:kondisiawal)

15 ->0 (Down : jika < 15 menit dibulatkan ke bawah = 0)

45 -> 30 (Middle : dibulatkan ke 30 menit)

60 ->60 (Up:jika =60 menit, dibulatkan ke atas = 60 menit)

Berikut saya lampirkan juga data perbandingan Amount nya berdarkan durasi lembur nya.
Terrima kasih.

Port: http://remote.minovais.com:61115/

Server: remote.minovais.com,1452

DB: MinovaES_Pertalife_Prod
ACTIVATIONCODE: PLI61115

History

#1 - 10/09/2025 10:52 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to Mr Ikmal

lkmal,

untuk ini memang tabel tsb belum kita fungsinya, karena dr semua client kita setau saya gak mau ada pembulatan tsb deh.

karena potensinya khan jd itungan uph lemburnya jd lebih kecil buat karyawan krn pembulatan tsb. Apak client udah pahan dgn dampak ini ke
karyawan nya?

#2 - 10/09/2025 11:18 AM - Mr lkmal
- File Screenshot 2025-10-09 111450.png added
http://remote.minovais.com:61115/

- File Screenshot 2025-10-09 111509.png added

- Assignee changed from Mr lkmal to Kezia Pawitra Yulianti

Kalau dari infonya sih ini bu, inginnya membaca dari table tersebut

#3 - 10/09/2025 01:35 PM - Kezia Pawitra Yulianti
- Due date set to 10/13/2025
- Assignee changed from Kezia Pawitra Yulianti to Mr Ikmal

- Priority changed from Normal to High

ooh, setau saya ketentuan ini memang belum pernah dijalankan di aplikasi. dan ini berlaku di semua client.
Jadi memang seharusnya soal tabel parameter ini jangan diberikan ke client yaa. Siapa yg info soal tabel ini ya?

Tapi kl skrg mau ini di aktifkan, tolong ini dibuat jadi parameter ya On/Off nya untuk membaca parameter ini supaya fleksibel jg untuk client lain yg

ketentuan nya tidak spt ini.

Silahkan di assign ke mbak Yomma aja.
Tks

#4 - 10/09/2025 02:46 PM - Mr Ikmal
- Assignee changed from Mr Ikmal to Tri Rizqgiaty

Dear mba yomma,
Mohon dibantu ya mba yomma.
terima kasih

#5 - 10/09/2025 03:09 PM - Tri Rizqiaty
- Assignee changed from Tri Rizqgiaty to Mr Ikmal

Ikmal, berarti ini yg salah perhitungan jam lembur & upah lembur pada saat running payroll ya?

#6 - 10/09/2025 03:19 PM - Mr Ikmal
- Assignee changed from Mr Ilkmal to Tri Rizgiaty

lya mba, karena perhitungannya tidak mengacu ke parameter tersebut mba. Untuk yg parameter itu nanti mau dibuat field baru aja mba untuk

ON/OFF nya?

#7 - 10/09/2025 03:21 PM - Tri Rizqgiaty
- Assignee changed from Tri Rizqiaty to Mr Ikmal

Boleh, buatin di tbl genparam aja ya.

#8 - 10/09/2025 03:39 PM - Mr Ikmal
- Assignee changed from Mr Ikmal to Tri Rizqgiaty

sudah dibuat parameter nya mba di table genparam. Parameter = ACTIVEPHRTMOTROUND
